<?php

require_once 'FirePHP/FirePHP.class.php';
$fp = FirePHP::getInstance( true );

$development = true;

if( $development ) {
	$fp->setEnabled( true );
} else {
	$fp->setEnabled ( false );
}

$word = $_POST['w'];

$fp->group('Informacje o wyrazie');
$fp->info( $word, 'Wyraz' );

$word = preg_replace( '#\'|"|\\\|/#', '', $word );
$fp->info( $word, 'Odfiltrowany wyraz' );
$fp->groupEnd();

// ustaw namiary na baze danych
$dbPass = 'haslo';
$dbName = 'nazwa';
$dbUser = 'user';
$dbHost = 'host';
$dbPort = 'port';

$conn = pg_connect( "host=$dbHost port=$dbPort dbname=$dbName user=$dbUser password=$dbPass" );

$query = "SELECT text,amount FROM text WHERE text = '".$word."'";
$queries[] = $query;
$result = pg_query( $conn, $query);

$row = pg_fetch_array( $result );

$fp->info( $row, 'Dane rekordu dla wyrazu' );

if( (int)$row['amount'] == 0 ) {
	// wstawiamy wyraz
	$query = "INSERT INTO text(text) VALUES('".$word."')";	
	$queries[] = $query;
	$result = pg_query( $conn, $query);
	if( $result ) {
		$respond = 'Dodano wyraz <strong>'.$word.'</strong>';
	}
} else {
	// zwiększamy amount o 1
	$query = "UPDATE text SET amount = amount +1 WHERE text = '".$word."'";	
	$queries[] = $query;
	$result = pg_query( $conn, $query);
	if( $result ) {
		$respond = 'Zwiekszono liczbe dla wyrazu <strong>'.$word.'</strong> do <strong>'.++$row['amount'].'</strong>';
	}	
}

// funkcje pomocnicze generujace dane informacyjne
post();
get();
query();

$fp->info( $respond, 'Wynik' );

// wszystkie debugi musza pojsc wczesniej niz wydruk na ekran
print $respond;


/**
	* Databases queries.
	*
	* @return  void
	*/
	function query() {
		global $fp,$queries;
		
		if (empty($queries)) return;
		                        
		$table = array();
		$table[] = array('QUERY');
    
		foreach($queries as $name => $value) {
			$table[] = array( $value);
		}       
		$fp->fb(array('Queries: '.count($queries).' QUERIES data',  $table  ),FirePHP::TABLE);           
	}

/**
	* POST data.
	*
	* @return  void
	*/
	function post() {
		global $fp;
		
		if (empty($_POST)) return;
		                        
		$table = array();
		$table[] = array('POST','Value');
    
		foreach($_POST as $name => $value) {
			$table[] = array($name, $value);
		}       
		$fp->fb(array('Post: '.count($_POST).' POST variables',  $table  ),FirePHP::TABLE);           
	}
	
/**
	* GET data.
	*
	* @return  void
	*/
	function get() {
		global $fp;
		
		if (empty($_GET)) return;
		                        
		$table = array();
		$table[] = array('POST','Value');
	                        
		foreach($_GET as $name => $value) {
			$table[] = array($name, $value);
		}       
		$fp->fb(array('Post: '.count($_GET).' POST variables',  $table  ),FirePHP::TABLE);           
	}
?>